Page MenuHomePhabricator

Enable <mapframe> for 3 wikis that have community consensus
Closed, ResolvedPublic

Description

Recently, four wiki sites have done the leg work to get community consensus for enabling mapframe on their individual wikis:

Let's enable their sites to use mapframe.

Note: the comments contained in T167619#3348144 are still valid.
The Maps team currently does not have engineering resources to support any requests for map service feature updates or to fix any bugs that are not critical.
We decided to undertake this one-off request because it would allow additional usage of the maps service for those four sites that have requested it.

Event Timeline

debt created this task.Jul 26 2017, 11:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 26 2017, 11:44 PM
debt added a comment.Jul 27 2017, 1:48 PM

mapframe has been enabled for cswiki on 27July2017: T171588

Change 368172 had a related patch set uploaded (by Debt; owner: Guillaume Lederrey):
[operations/mediawiki-config@master] enable mapframe for euwiki, ptwiki and uawikimedia

https://gerrit.wikimedia.org/r/368172

debt renamed this task from Enable <mapframe> for 4 wikis that have community consensus to Enable <mapframe> for 3 wikis that have community consensus.Jul 27 2017, 2:03 PM
debt updated the task description. (Show Details)
debt moved this task from Backlog to In progress on the Maps-Sprint board.Jul 27 2017, 7:02 PM

Change 368172 merged by jenkins-bot:
[operations/mediawiki-config@master] enable mapframe for euwiki, ptwiki and uawikimedia

https://gerrit.wikimedia.org/r/368172

debt moved this task from In progress to Done on the Maps-Sprint board.Aug 1 2017, 10:52 PM

This was pushed to production on Aug 1, 2017: mapframe is now enabled on euwiki and ptwiki; static mapframe was enabled for wmuawiki.